Open CASCADE Technology: XmlMDF Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
XmlMDF Class Reference

This package provides classes and methods to translate a transient DF into a persistent one and vice versa. More...

`#include <XmlMDF.hxx>`

## Static Public Member Functions
static void | FromTo (const Handle< TDF_Data > &aSource, XmlObjMgt_Element &aTarget, XmlObjMgt_SRelocationTable &aReloc, const Handle< XmlMDF_ADriverTable > &aDrivers)
| Translates a transient <aSource> into a persistent <aTarget>. More...
static Standard_Boolean | FromTo (const XmlObjMgt_Element &aSource, Handle< TDF_Data > &aTarget, XmlObjMgt_RRelocationTable &aReloc, const Handle< XmlMDF_ADriverTable > &aDrivers)
| Translates a persistent <aSource> into a transient <aTarget>. Returns True if completed successfully (False on error) More...
static void | AddDrivers (const Handle< XmlMDF_ADriverTable > &aDriverTable, const Handle< CDM_MessageDriver > &theMessageDriver)
| Adds the attribute storage drivers to <aDriverSeq>. More...

## Detailed Description

This package provides classes and methods to translate a transient DF into a persistent one and vice versa.

Driver

A driver is a tool used to translate a transient attribute into a persistent one and vice versa.

Driver Table

A driver table is an object building links between object types and object drivers. In the translation process, a driver table is asked to give a translation driver for each current object to be translated.

## Member Function Documentation

static void XmlMDF::AddDrivers | ( | const Handle< XmlMDF_ADriverTable > & | aDriverTable,
|  | const Handle< CDM_MessageDriver > & | theMessageDriver
| ) |  |
| static

Adds the attribute storage drivers to <aDriverSeq>.

static void XmlMDF::FromTo | ( | const Handle< TDF_Data > & | aSource,
|  | XmlObjMgt_Element & | aTarget,
|  | XmlObjMgt_SRelocationTable & | aReloc,
|  | const Handle< XmlMDF_ADriverTable > & | aDrivers
| ) |  |
| static

Translates a transient <aSource> into a persistent <aTarget>.

static Standard_Boolean XmlMDF::FromTo | ( | const XmlObjMgt_Element & | aSource,
|  | Handle< TDF_Data > & | aTarget,
|  | XmlObjMgt_RRelocationTable & | aReloc,
|  | const Handle< XmlMDF_ADriverTable > & | aDrivers
| ) |  |
| static

Translates a persistent <aSource> into a transient <aTarget>. Returns True if completed successfully (False on error)

The documentation for this class was generated from the following file:

- XmlMDF.hxx